import _NumberPicker from "@alifd/next/es/number-picker";
import _Range from "@alifd/next/es/range";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import * as React from 'react';
import { PureComponent } from 'react';
import "./index.scss";
var SizeSetter = /*#__PURE__*/function (_PureComponent) {
  _inheritsLoose(SizeSetter, _PureComponent);
  function SizeSetter() {
    return _PureComponent.apply(this, arguments) || this;
  }
  var _proto = SizeSetter.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      value = _this$props.value,
      _this$props$options = _this$props.options,
      min = _this$props$options.min,
      max = _this$props$options.max,
      step = _this$props$options.step,
      suffix = _this$props$options.suffix,
      _onChange = _this$props.onChange;
    return /*#__PURE__*/React.createElement("div", {
      className: "size-setter"
    }, /*#__PURE__*/React.createElement(_Range, {
      value: value,
      min: min,
      max: max,
      step: step,
      onChange: function onChange(val) {
        return _onChange(val);
      },
      style: {
        marginRight: 15
      }
    }), /*#__PURE__*/React.createElement(_NumberPicker, {
      onChange: function onChange(val) {
        return _onChange(val);
      },
      value: value,
      size: "small",
      min: min,
      max: max,
      step: step,
      hasTrigger: false,
      innerAfter: suffix
    }));
  };
  return SizeSetter;
}(PureComponent);
SizeSetter.displayName = 'SizeSetter';
export { SizeSetter as default };